Class | YARD::CodeObjects::ExtraFileObject
In: | lib/yard/code_objects/extra_file_object.rb
Parent: | Object

An ExtraFileObject represents an extra documentation file (README or other file). It is not strictly a CodeObject (does not inherit from `Base`) although it implements `path`, `name` and `type`, and therefore should be structurally compatible with most CodeObject interfaces.

### Methods

== eql? equal? hash inspect new title to_s type

### External Aliases

name | -> | path

### Attributes

attributes | [RW] |
contents | [RW] |
filename | [RW] |
name | [RW] |

### Public Class methods

new(filename, contents = nil)

Creates a new extra file object. @param [String] filename the location on disk of the file @param [String] contents the file contents. If not set, the contents

      will be read from disk using the +filename+.

### Public Instance methods

==(other)
eql?(other)

Alias for #==

equal?(other)

Alias for #==

hash()
inspect()
title()
to_s()

Alias for inspect

type()

[Validate]